package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 【藏品管理】藏品 po_collection
 *
 * @author ruoyi
 * @date 2023-03-19
 */
@Data
public class PoCollection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 藏品Id
     */
    @Excel(name = "藏品ID")
    @TableId
    private Long collectionId;

    /*套系ID*/
    @Excel(name = "套系ID")
    private Long tetherId;

    /**
     * 藏品名字
     */
    @Excel(name = "藏品名字")
    private String collectionTitle;

    /**
     * 发行方
     */
    @Excel(name = "发行方")
    private String publisherName;

    /*展示开始时间*/
    @Excel(name = "开始展示时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date showStart;

    /*展示结束时间*/
    @Excel(name = "结束展示时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date showEnd;

    /**
     * 藏品状态（0=正常,1=预售,2=过期）
     */
    @Excel(name = "藏品状态", readConverterExp = "0=正常,1=预售,2=过期")
    private Long status;

    /**
     * 藏品类型（0=邮票 1=其他）
     */
    @Excel(name = "藏品类型", readConverterExp = "0=邮票,1=其他")
    private Long collectionType;

    /**
     * 藏品数量
     */
    @Excel(name = "藏品数量")
    @TableField("total")
    private Long colTotal;

    /**
     * 藏品剩余数量
     */
    @Excel(name = "藏品数量")
    @TableField("count")
    private Long colCount;

    /**
     * 藏品图片
     */
    @Excel(name = "藏品图片")
    @TableField("image")
    private String colImage;

    /**
     * 模版
     */
    @Excel(name = "模版")
    private String formWork;

    /**
     * 藏品价格
     */
    @Excel(name = "藏品价格")
    @TableField("price")
    private Double colPrice;

    /**
     * 作者故事
     */
    @Excel(name = "作者故事")
    @TableField("story")
    private String colStory;

    /**
     * 是否上架（0=上架,1=未上架）
     */
    @Excel(name = "是否上架", readConverterExp = "0=上架,1=未上架")
    @TableField("grounding")
    private Long colGrounding;

    /**
     * 是否上链（0=上链,1=未上链）
     */
    @Excel(name = "是否上链", readConverterExp = "0=上链,1=未上链")
    @TableField("cochain")
    private Long colCochain;

    /**
     * 是否删除（0=未删除,1=删除 ）
     */
    @Excel(name = "是否删除", readConverterExp = "0=正常,1=已删除")
    private Long delFlag;

    /** 是否售罄（0=未删除,1=删除 ） */
    @Excel(name = "是否售罄",readConverterExp = "0=正常,1=已售罄")
    private Long soldOut;
}

