package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 通知公告表 po_notice
 *
 * @author blue
 */
@Data
public class PoNotice extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 通知公告ID
     */
    @Excel(name = "通知公告ID", cellType = Excel.ColumnType.NUMERIC)
    private Long noticeId;

    /**
     * 通知公告标题
     */
    @Excel(name = "通知公告标题")
    private String noticeTitle;

    /**
     * 通知公告内容
     */
    @Excel(name = "通知公告内容")
    private String noticeContent;

    /**
     * 通知公告类型 1通知 2公告
     */
    @Excel(name = "通知公告类型", readConverterExp = "1通知,2公告")
    private Integer noticeType;

    /**
     * 通知公告状态 0正常 1关闭
     */
    @Excel(name = "通知公告状态", readConverterExp = "0=正常,1=关闭")
    private Integer status;

    /**
     * 通知公告发布人ID
     */
    @Excel(name = "通知公告发布人ID", cellType = Excel.ColumnType.NUMERIC)
    private Long publisherId;

    /**
     * 通知公告接收人ID
     */
    @Excel(name = "通知公告接收人ID")
    private List<String> userId;

    /**
     * 通知公告已读人ID
     */
    @Excel(name = "通知公告接收人ID")
    private List<String> readUserId;

    /**
     * 通知公告逻辑删除状态 0未删除 1删除
     */
    @Excel(name = "逻辑删除状态", readConverterExp = "0未删除,1删除")
    private Boolean delFlag;
}
