package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PoIssuerMapper;
import com.ruoyi.system.domain.PoIssuer;
import com.ruoyi.system.service.IPoIssuerService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2023-02-18
 */
@Service
public class PoIssuerServiceImpl implements IPoIssuerService
{
    @Autowired
    private PoIssuerMapper poIssuerMapper;

    /**
     * 查询发行人
     *
     * @param issuerId 发行人ID
     * @return 发行人信息
     */
    @Override
    public PoIssuer selectPoIssuerByIssuerId(Long issuerId)
    {
        return poIssuerMapper.selectPoIssuerByIssuerId(issuerId);
    }

    /**
     * 查询发行人列表
     *
     * @param poIssuer
     * @return
     */
    @Override
    public List<PoIssuer> selectPoIssuerList(PoIssuer poIssuer)
    {
        return poIssuerMapper.selectPoIssuerList(poIssuer);
    }

    /**
     * 新增发行人
     *
     * @param poIssuer
     * @return
     */
    @Override
    public int insertPoIssuer(PoIssuer poIssuer)
    {
        poIssuer.setCreateTime(DateUtils.getNowDate());
        return poIssuerMapper.insertPoIssuer(poIssuer);
    }

    /**
     * 修改发行人
     *
     * @param poIssuer
     * @return
     */
    @Override
    public int updatePoIssuer(PoIssuer poIssuer)
    {
        poIssuer.setUpdateTime(DateUtils.getNowDate());
        return poIssuerMapper.updatePoIssuer(poIssuer);
    }

    /**
     * 批量删除发行人
     *
     * @param issuerIds 需要删除的发行人主键
     * @return
     */
    @Override
    public int deletePoIssuerByIssuerIds(Long[] issuerIds)
    {
        return poIssuerMapper.deletePoIssuerByIssuerIds(issuerIds);
    }

    /**
     * 删除发行人信息
     *
     * @param issuerId 发行人主键
     * @return
     */
    @Override
    public int deletePoIssuerByIssuerId(Long issuerId)
    {
        return poIssuerMapper.deletePoIssuerByIssuerId(issuerId);
    }

    /**
     *
     *
     * @param issuerName 发行人ID
     * @return 发行人信息
     */
    @Override
    public List<PoIssuer> selectPoIssuerByIssuerName(String issuerName) {
        return poIssuerMapper.selectPoIssuerByIssuerName(issuerName);
    }
}
